Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public static interface

# PlusOneButton.OnPlusOneClickListener

com.google.android.gms.plus.PlusOneButton.OnPlusOneClickListener

Known Indirect Subclasses
PlusOneButton.DefaultOnPlusOneClickListener

PlusOneButton.DefaultOnPlusOneClickListener | This is an `View.OnClickListener` that will proxy clicks to an attached `PlusOneButton.OnPlusOneClickListener`, or default to attempt to start the intent using an `Activity` context.

## Class Overview

A listener for +1 button clicks. Implement this interface and call `startActivityForResult(Intent, int)`.

## Summary

Public Methods
abstract void | onPlusOneClick(Intent intent) Called when the +1 button is clicked.

## Public Methods

#### public abstract void onPlusOneClick (Intent intent)

Called when the +1 button is clicked. Start the intent passed to this method to display the +1 confirmation dialog `Activity` with `startActivityForResult(Intent, int)`.

##### Parameters

intent | The intent to display the +1 confirmation dialog.